<span class="title"> favorite character who is your </span>
<div>
  <span>filters:</span>
  <sw-params-filter
    filterParamsName="film"
    optionTitle="title"
    [optionsLink]="endpointsService.films"
    (filterChange)="applyFilter('films', $event)"
  ></sw-params-filter>
  <sw-params-filter
    filterParamsName="species"
    optionTitle="name"
    [optionsLink]="endpointsService.species"
    (filterChange)="(true)"
    (filterChange)="applyFilter('species', $event)"
  ></sw-params-filter>
</div>
<ul class="characters-list">
  <li
    *ngFor="let character of charactersStore.characters.value |filter:searchParams; let i = index"
    (click)="openCharacterInfo(i)"
  >
    {{ character.name }}
  </li>
</ul>

<sw-paginator
  [prevDisabled]="!charactersStore?.charactersState?.value?.previous"
  (prev)="loadPreviousPage()"
  [nextDisabled]="!charactersStore?.charactersState?.value?.next"
  (next)="loadNextPage()"
></sw-paginator>
